package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.ast.statement.SQLSelectOrderByItem;
import com.chenyang.druid.sql.dialect.mariadb.ast.MariadbObjectImpl;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MariadbAlterTableOrderBy extends MariadbObjectImpl implements SQLAlterTableItem {
   private List<SQLSelectOrderByItem> columns = new ArrayList();

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.columns);
      }

      visitor.endVisit(this);
   }

   public List<SQLSelectOrderByItem> getColumns() {
      return this.columns;
   }

   public void addColumn(SQLSelectOrderByItem column) {
      this.columns.add(column);
   }
}
